Bug 227868 - Suggested changes to gtk2.spec
Summary: Suggested changes to gtk2.spec
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-08 17:55 UTC by Stepan Kasal
Modified: 2007-11-30 22:11 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2007-02-09 15:14:32 UTC


Attachments (Terms of Use)
sucggested chages (743 bytes, patch)
2007-02-08 17:55 UTC, Stepan Kasal
no flags Details | Diff

Description Stepan Kasal 2007-02-08 17:55:34 UTC
I saw how gtk2.spec calls autotools, and I suggest the chages attached below.
Rationale:
1) the comment now reflects the current set of patches
2) autoheader calls autoconf, which reads aclocal.m4, so it is safer to call it
after aclocal-1.7
3) I suggest to remove the tricks with autoconf-2.53 and such, because
autoheader calls the default autoconf anyway, and having a mismatch of the
versions seem dangerous.

(No, I experienced no actual problems, I just think the above changes makes the
spec file less fragile.)

Comment 1 Stepan Kasal 2007-02-08 17:55:34 UTC
Created attachment 147676 [details]
sucggested chages

Comment 2 Matthias Clasen 2007-02-08 21:02:49 UTC
sure, looks fine. Will you build that ?

Comment 3 Stepan Kasal 2007-02-09 15:14:32 UTC
Done, 2.10.9-4.fc7 built.
Thanks for your review.


Note You need to log in before you can comment on or make changes to this bug.